OpenVDB: TreeData Struct Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
TreeData Struct Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for TreeData:

## Public Member Functions
TreeData & | operator= (const TreeData &)=default
__hostdev__ void | setRoot (const void *root)
__hostdev__ void * | getRoot ()
| Get a non-const void pointer to the root node (never NULL).
__hostdev__ const void * | getRoot () const
| Get a const void pointer to the root node (never NULL).
template<typename NodeT>
__hostdev__ void | setFirstNode (const NodeT *node)
__hostdev__ bool | isEmpty () const
| Return true if the root is empty, i.e. has not child nodes or constant tiles.
__hostdev__ CoordBBox | bbox () const
| Return the index bounding box of all the active values in this tree, i.e. in all nodes of the tree.
__hostdev__ bool | isRootNext () const
| return true if RootData is layout out immediately after TreeData in memory

## Public Attributes
int64_t | mNodeOffset [4]
uint32_t | mNodeCount [3]
uint32_t | mTileCount [3]
uint64_t | mVoxelCount

## Member Function Documentation

## ◆ bbox()

__hostdev__ CoordBBox bbox | ( |  | ) | const
| inline

Return the index bounding box of all the active values in this tree, i.e. in all nodes of the tree.

## ◆ getRoot() [1/2]

__hostdev__ void * getRoot | ( |  | ) |
| inline

Get a non-const void pointer to the root node (never NULL).

## ◆ getRoot() [2/2]

__hostdev__ const void * getRoot | ( |  | ) | const
| inline

Get a const void pointer to the root node (never NULL).

## ◆ isEmpty()

__hostdev__ bool isEmpty | ( |  | ) | const
| inline

Return true if the root is empty, i.e. has not child nodes or constant tiles.

## ◆ isRootNext()

__hostdev__ bool isRootNext | ( |  | ) | const
| inline

return true if RootData is layout out immediately after TreeData in memory

## ◆ operator=()

TreeData & operator= | ( | const TreeData & |  | ) |
| default

## ◆ setFirstNode()

template<typename NodeT>

__hostdev__ void setFirstNode | ( | const NodeT * | node | ) |
| inline

## ◆ setRoot()

__hostdev__ void setRoot | ( | const void * | root | ) |
| inline

## Member Data Documentation

## ◆ mNodeCount

uint32_t mNodeCount[3]

## ◆ mNodeOffset

int64_t mNodeOffset[4]

## ◆ mTileCount

uint32_t mTileCount[3]

## ◆ mVoxelCount

uint64_t mVoxelCount